import request from '@/utils/request'

// 查询议事投票情况列表
export function listVoteresut(query) {
  return request({
    url: '/szxc/voteresut/list',
    method: 'get',
    params: query
  })
}

// 查询议事投票情况详细
export function getVoteresut(id) {
  return request({
    url: '/szxc/voteresut/' + id,
    method: 'get'
  })
}

// 新增议事投票情况
export function addVoteresut(data) {
  return request({
    url: '/szxc/voteresut',
    method: 'post',
    data: data
  })
}

// 修改议事投票情况
export function updateVoteresut(data) {
  return request({
    url: '/szxc/voteresut',
    method: 'put',
    data: data
  })
}

// 删除议事投票情况
export function delVoteresut(id) {
  return request({
    url: '/szxc/voteresut/' + id,
    method: 'delete'
  })
}

// 统计议事投票情况
export function getVoteresutCount(query) {
  return request({
    url: '/szxc/voteresut/count',
    method: 'get',
    params: query
  })
}
